#include <gtk/gtk.h>
#include <stdio.h>
#include <stdlib.h>

/******** main.c extern *********/

extern void close_application( GtkWidget *widget, GdkEvent *event, 
			       gpointer *data );

/************ move.c extern *********/

extern void blink();
extern void move();
extern void init_movement( gint MoveStart, gint MoveEnd, gint BlinkStart, gint BlinkEnd );

extern gint init_mars_movement();
extern gint init_jupiter_movement();
extern gint init_venus_movement();
extern gint init_mercury_movement();
extern gint init_moon_movement();

/*************** visual.c extern ************/

extern GtkWidget *Main;

extern void init_window();

extern void init_pixmaps( gchar **Standxpm, gchar **Movexpm, gchar **Blinkxpm );

extern gint display_pixmap( GdkPixmap *mars_pixmap, GdkBitmap *mask_mars );

extern gint display_stand();
extern gint display_move();
extern gint display_blink();

extern void init_mars_visuals();
extern void init_jupiter_visuals();
extern void init_venus_visuals();
extern void init_mercury_visuals();
extern void init_moon_visuals();

extern gint window_raise();
